summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-05 20:11:53 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-03-05 20:11:53 +0000
commit3c5212e17f093121fd5e0fd5fd871e9f64ae8e0b (patch)
tree2e9b91b737fe8e5164f035e93d8cc6e58d5d4633 /dev-python
parentdf5fcef0420ea96eb3f0ee62831e2de9afe982c1 (diff)
downloadbaldeagleos-repo-3c5212e17f093121fd5e0fd5fd871e9f64ae8e0b.tar.gz
baldeagleos-repo-3c5212e17f093121fd5e0fd5fd871e9f64ae8e0b.tar.xz
baldeagleos-repo-3c5212e17f093121fd5e0fd5fd871e9f64ae8e0b.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Faker/Faker-24.0.0.ebuild40
-rw-r--r--dev-python/Faker/Manifest1
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.86.0.ebuild65
-rw-r--r--dev-python/environs/Manifest1
-rw-r--r--dev-python/environs/environs-11.0.0.ebuild39
-rw-r--r--dev-python/flaky/flaky-3.7.0-r5.ebuild (renamed from dev-python/flaky/flaky-3.7.0-r4.ebuild)11
-rw-r--r--dev-python/google-api-python-client/Manifest1
-rw-r--r--dev-python/google-api-python-client/google-api-python-client-2.121.0.ebuild49
-rw-r--r--dev-python/griffe/Manifest1
-rw-r--r--dev-python/griffe/griffe-0.41.3.ebuild45
-rw-r--r--dev-python/ipyparallel/ipyparallel-8.7.0.ebuild1
-rw-r--r--dev-python/jupyter-lsp/Manifest1
-rw-r--r--dev-python/jupyter-lsp/jupyter-lsp-2.2.4.ebuild85
-rw-r--r--dev-python/jupyterlab/Manifest1
-rw-r--r--dev-python/jupyterlab/jupyterlab-4.1.3.ebuild78
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/libarchive-c/Manifest1
-rw-r--r--dev-python/libarchive-c/libarchive-c-5.1.ebuild31
-rw-r--r--dev-python/marshmallow/Manifest1
-rw-r--r--dev-python/marshmallow/marshmallow-3.21.1.ebuild36
-rw-r--r--dev-python/mkdocs-ansible/Manifest1
-rw-r--r--dev-python/mkdocs-ansible/files/mkdocs-ansible-24.2.1-prune_deps.patch10
-rw-r--r--dev-python/mkdocs-ansible/mkdocs-ansible-24.2.1.ebuild41
-rw-r--r--dev-python/mkdocs-htmlproofer-plugin/Manifest1
-rw-r--r--dev-python/mkdocs-htmlproofer-plugin/mkdocs-htmlproofer-plugin-1.2.0.ebuild33
-rw-r--r--dev-python/nbconvert/Manifest1
-rw-r--r--dev-python/nbconvert/nbconvert-7.16.2.ebuild74
-rw-r--r--dev-python/orjson/Manifest11
-rw-r--r--dev-python/orjson/orjson-3.9.12.ebuild93
-rw-r--r--dev-python/orjson/orjson-3.9.14.ebuild2
-rw-r--r--dev-python/pipdeptree/Manifest1
-rw-r--r--dev-python/pipdeptree/pipdeptree-2.16.1.ebuild48
-rw-r--r--dev-python/progressbar2/Manifest1
-rw-r--r--dev-python/progressbar2/progressbar2-4.4.2.ebuild44
-rw-r--r--dev-python/pymdown-extensions/Manifest1
-rw-r--r--dev-python/pymdown-extensions/pymdown-extensions-10.7.1.ebuild47
-rw-r--r--dev-python/pyotherside/files/pyotherside-1.6.0-qt6.5.patch34
-rw-r--r--dev-python/pyotherside/pyotherside-1.6.0-r1.ebuild106
-rw-r--r--dev-python/pyotherside/pyotherside-1.6.0.ebuild13
-rw-r--r--dev-python/pytest-bdd/Manifest1
-rw-r--r--dev-python/pytest-bdd/pytest-bdd-7.1.1.ebuild43
-rw-r--r--dev-python/sqlglot/Manifest1
-rw-r--r--dev-python/sqlglot/sqlglot-22.2.1.ebuild121
-rw-r--r--dev-python/starlette/Manifest1
-rw-r--r--dev-python/starlette/starlette-0.37.2.ebuild54
-rw-r--r--dev-python/types-gdb/Manifest1
-rw-r--r--dev-python/types-gdb/types-gdb-12.1.4.20240305.ebuild17
-rw-r--r--dev-python/utidylib/Manifest1
-rw-r--r--dev-python/utidylib/utidylib-0.10.ebuild32
53 files changed, 1220 insertions, 132 deletions
diff --git a/dev-python/Faker/Faker-24.0.0.ebuild b/dev-python/Faker/Faker-24.0.0.ebuild
new file mode 100644
index 000000000000..b726995539a4
--- /dev/null
+++ b/dev-python/Faker/Faker-24.0.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A Python package that generates fake data for you"
+HOMEPAGE="
+ https://github.com/joke2k/faker/
+ https://pypi.org/project/Faker/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/python-dateutil-2.4.2[${PYTHON_USEDEP}]
+ !dev-ruby/faker
+"
+BDEPEND="
+ test? (
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pillow[${PYTHON_USEDEP},tiff]
+ dev-python/validators[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=faker.contrib.pytest.plugin
+ epytest
+}
diff --git a/dev-python/Faker/Manifest b/dev-python/Faker/Manifest
index 974e50c8f5c0..fd4a609f652b 100644
--- a/dev-python/Faker/Manifest
+++ b/dev-python/Faker/Manifest
@@ -1,2 +1,3 @@
DIST Faker-23.2.1.tar.gz 1708603 BLAKE2B 94759727bb7feb520d51c3a52e50e01bad164cc3f262620d9f106f4746e68b298447d678dba7a5af9a80d0fdd7d9981f57ca50e27ab10671caec52c34e0442ee SHA512 1fefc84bed97e012c4e07117d62a6e0970e1be9d1c2b6f09db497b0d5ba66a2b2b0f3ba806926621d59dc0753a8b8c9caacefa15fbb23c755f110c5ef908975d
DIST Faker-23.3.0.tar.gz 1716346 BLAKE2B 21be02c45fdaeed398ce157b9874985791dff67784b60198323ffae8f8c3a3e82932ebc152893aed40efb5d73e1e775c52b364c62411b59e48ce3d897971ba92 SHA512 2bdcf86adae1eeee257ee24df140894451d13854afdde8794d08072b9b572e48fcacb74597f64da9f069e914db0f27c8f4e74d746a25bbee8421310749468b82
+DIST Faker-24.0.0.tar.gz 1716657 BLAKE2B 6dd4ff39e2d7ecd941a1c12c34894f092603f00331e147aa3056a3a15eb7a06c88c0000cf5a9fc1b754299bd5e3a707b7b95f7842c5eeb00dc2089f065bfca0c SHA512 cd764feb37863f98038d9b9da8c41967e9e8fc1fd250a92b3cea376610ecda3f90fd691297c824fe83845fc0bc0a8d859f96512ee2b6b720d4e12f2cd8d6c8d3
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index 998e52a5fb71..fdf0b9a8d795 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,2 +1,3 @@
DIST cfn-lint-0.85.2.tar.gz 3887432 BLAKE2B 3ae9f84d977c576b8051226b73960c97d568c5cfe4aab2030b753abd6e25b39ff2d7f2265e1edca17339ca35658808d00805ce95d3f155b395e3ed3cd84c0bdd SHA512 7c28a8f9771cb38087d30425340b95fbec637c7345cdd2c6ae2f6dc6f550cfe0b3f4cc53a60625767b40850bbf29859370cf89185bdd2a1de59a64aa43c598c3
DIST cfn-lint-0.85.3.tar.gz 3878852 BLAKE2B 4eb804c67b3cdd9686df930b7c9cc565f296a9ed99872b0d6f470c469de61d3ef321a98265c0975b32bfd2866dd66f82d2266dff77d90d31914946cafe5ce1dc SHA512 5f758664a1497b1d5260c6737e203d86ad0cd08a44067b9fdb2c4150cfafc2f96fb025322aa8573d08d6ee44254987fc7f52d6ed336944e9e2a89fc174d8db6c
+DIST cfn-lint-0.86.0.tar.gz 3847186 BLAKE2B 8edc25b25bd385717f7c1cd7d79cc910ec87c5232daec70cd448659e56cd710524532b66e3392d369b787765613a83bf37180f5f64bd489ec9c32d24cb6a3963 SHA512 4dc131c2cfc2d9892c6835a505bc5cc9a3d570cc22750bbb239b577417b010de7cfd0b17caeae44197b2cecbdf163973e447906eae778aba84834ebce3b5d0b3
diff --git a/dev-python/cfn-lint/cfn-lint-0.86.0.ebuild b/dev-python/cfn-lint/cfn-lint-0.86.0.ebuild
new file mode 100644
index 000000000000..b481ebbe366c
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.86.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.85.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+ >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/environs/Manifest b/dev-python/environs/Manifest
index b6bbb5f5c2b9..4831b337e8fb 100644
--- a/dev-python/environs/Manifest
+++ b/dev-python/environs/Manifest
@@ -1 +1,2 @@
DIST environs-10.3.0.gh.tar.gz 23931 BLAKE2B fbf6780de3a98078b76edb941361ff52cd93df51cc4c9003fa780b8fc8e366be4420de2f3ff69293f0379462c0ddfc4cf132ab67443c9b0508cca7f3b2d227fc SHA512 de58aaa2dc46b9e0db026ff7c2bef9dbf247fa96eb7d12ef105981395f3141e1726f19062551ed139daa33ba1fd9b584d11b425c836496da1ecf9f69fcb409e9
+DIST environs-11.0.0.gh.tar.gz 23916 BLAKE2B e9c186cd6e6da0ddeddb7d8f6c5a01d2039468d452af20d6a1637dbe01f8c09be7c890737f862e2dc9baf824b9d8878abca04a5ae237b58138e3026ac68e7d2c SHA512 540412bfb05dd798b57724390f3ae7dcba536550f909fbe2bb3f48fea77fed6cb9473fe526c3482ab7da48bec6ca886c85f07cf62c0fd23fa38087ea53b0e330
diff --git a/dev-python/environs/environs-11.0.0.ebuild b/dev-python/environs/environs-11.0.0.ebuild
new file mode 100644
index 000000000000..0fb9a2a6cef5
--- /dev/null
+++ b/dev-python/environs/environs-11.0.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python library for simplified environment variable parsing"
+HOMEPAGE="
+ https://github.com/sloria/environs/
+ https://pypi.org/project/environs/
+"
+SRC_URI="
+ https://github.com/sloria/environs/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+
+RDEPEND="
+ dev-python/python-dotenv[${PYTHON_USEDEP}]
+ >=dev-python/marshmallow-3.13.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/django-cache-url[${PYTHON_USEDEP}]
+ dev-python/dj-database-url[${PYTHON_USEDEP}]
+ dev-python/dj-email-url[${PYTHON_USEDEP}]
+ )
+"
+
+DOCS=( CHANGELOG.md CONTRIBUTING.md README.md )
+
+distutils_enable_tests pytest
diff --git a/dev-python/flaky/flaky-3.7.0-r4.ebuild b/dev-python/flaky/flaky-3.7.0-r5.ebuild
index 43688a43d4a7..2facfb0c942d 100644
--- a/dev-python/flaky/flaky-3.7.0-r4.ebuild
+++ b/dev-python/flaky/flaky-3.7.0-r5.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -14,13 +14,17 @@ HOMEPAGE="
https://pypi.org/project/flaky/
"
-SLOT="0"
LICENSE="Apache-2.0"
+SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~x64-macos ~x64-solaris"
IUSE="test"
RESTRICT="!test? ( test )"
-DEPEND="
+# https://github.com/box/flaky/issues/198
+RDEPEND="
+ <dev-python/pytest-8.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
test? (
dev-python/genty[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
@@ -29,6 +33,7 @@ DEPEND="
"
src_prepare() {
+ # (removed upstream)
rm flaky/flaky_nose_plugin.py || die
sed -i -e '/flaky_nose_plugin/d' setup.py || die
distutils-r1_src_prepare
diff --git a/dev-python/google-api-python-client/Manifest b/dev-python/google-api-python-client/Manifest
index 7a5a113636e0..6e2ac7a68340 100644
--- a/dev-python/google-api-python-client/Manifest
+++ b/dev-python/google-api-python-client/Manifest
@@ -1,3 +1,4 @@
DIST google-api-python-client-2.118.0.tar.gz 11597120 BLAKE2B 4736ad9c8d23ef0706a873e8dc17f50a229294fe202b3c46109c39a157cb2978fb23436aeee5159bd26f0da7b0edcfc321890e8a2a9fa141fcb93647fb9a5753 SHA512 56703f7f1a54a5180c76492f1281da28acc261263e48d4ac3f85c75007f6aa5f6fddffaf79eb421bfd8e4ac47332322dcba21db9c77dcfffbb8c099d45c010db
DIST google-api-python-client-2.119.0.tar.gz 11704086 BLAKE2B ff7d2eb62559a042a272a4493ac9eb4e25f0a91dd085c172a6356e952e346d2d79d1818b57bc258725065bd19e72d9e787b021e17672361e8ff02b08b1be65cb SHA512 2acd84b059f3500e45398d2de4d6cab0941c40d7c501414c358992d6f0b305349213a2f96372a4d8b091202c87692e337036c213425b0813cc9203c5d323d966
DIST google-api-python-client-2.120.0.tar.gz 11753415 BLAKE2B 27466bed3bfc473dc1ce8ab6d7e6834b5b5010d39afc20ba8204b379621146e9a1523e18a7d1073cdafd1e7f1840832e371cfedf43689fb825917a73dd64be6c SHA512 303733940a2415e6e18ce4ba2c423ae0e85ce3746f4282698178cf7c2e70244b159fa4a22af6ce39cdeafb8d91db237cc40a1abfef33e1c8aa3add4f031aac23
+DIST google-api-python-client-2.121.0.tar.gz 11796461 BLAKE2B 178665ad75d5e8fa2437c909b47cf93c566e4f47cfc2e6a0fd74d9f7de29dc4076bf86299c42341e3c32b3ab20723a89fc062629964dfc2cc02a2eeaa0a1fcb0 SHA512 2bb2d02b93656d349ed65ccaa85dc435aae0ebb7d45edf2dd9b6aecb56cd8866421f4359612830e5d32d0609df12252e550ed514bf3c6b63920a67ffe74f6299
diff --git a/dev-python/google-api-python-client/google-api-python-client-2.121.0.ebuild b/dev-python/google-api-python-client/google-api-python-client-2.121.0.ebuild
new file mode 100644
index 000000000000..e4c330a85144
--- /dev/null
+++ b/dev-python/google-api-python-client/google-api-python-client-2.121.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Google API Client for Python"
+HOMEPAGE="
+ https://github.com/googleapis/google-api-python-client/
+ https://pypi.org/project/google-api-python-client/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/httplib2-0.15[${PYTHON_USEDEP}]
+ <dev-python/httplib2-1[${PYTHON_USEDEP}]
+ >=dev-python/google-api-core-2.3.1[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.35.0[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-httplib2-0.1.0[${PYTHON_USEDEP}]
+ >=dev-python/uritemplate-3.0.0[${PYTHON_USEDEP}]
+ <dev-python/uritemplate-5[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pandas[${PYTHON_USEDEP}]
+ dev-python/parameterized[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # require Internet access (and credentials)
+ tests/test_discovery.py::DiscoveryErrors::test_credentials_and_credentials_file_mutually_exclusive
+ tests/test_discovery.py::DiscoveryFromDocument::test_api_endpoint_override_from_client_options_mapping_object
+ )
+
+ epytest tests
+}
diff --git a/dev-python/griffe/Manifest b/dev-python/griffe/Manifest
index 73a3e968c2aa..ead59808fbc2 100644
--- a/dev-python/griffe/Manifest
+++ b/dev-python/griffe/Manifest
@@ -2,3 +2,4 @@ DIST griffe-0.40.1.gh.tar.gz 216435 BLAKE2B 0b2e304db94dadd113e72fd49d593a56fb4a
DIST griffe-0.41.0.gh.tar.gz 216110 BLAKE2B ce7865bc38afc60b61ca530937599a25a45e5eb1ed905d989558da39246bf4fd75cf109f8158cd11a1d83c5d369a30d15fda1fa2d301b6ce0b54f198e21284a3 SHA512 48fbe053755027dca9c5cb00ed9eff07667114585381a4ff017de508bcd555a54ea457c652719d43e28878eef26a985517d4b14d4992a8681d60be9090507814
DIST griffe-0.41.1.gh.tar.gz 216351 BLAKE2B e4c8bad6c6870aab7dee9d8d4326537d7943b3afdb96d8c3ffb90387f1e6dde7296f63a9cecf0b8f7f444ee1d05845af3a064483b6c96e6434ee6469acd9c7ca SHA512 853082357ee79cf29d8551a22c2b6bf40e74a332234afeeea629a27814e8bbc91f682d2a0a305c93baf27e5e4f2697b8ee19cbf43e63e03ac71879f872a71988
DIST griffe-0.41.2.gh.tar.gz 216659 BLAKE2B b0974a105aaa9ffca5e0b977fd816f228ff78f550e7995fe0f902d9bdfb720c603238b2e084fc2cf1364c13a78311877c87e175eb37b5ac310345ed05b04ec96 SHA512 981c91a48a06d157b42b7415002360158a144845a1cdbd7c09c7e07ff43bbb795bbcda784f72dfb863183fe7093e34483f2c57f8370194f4834d51659401462e
+DIST griffe-0.41.3.gh.tar.gz 216756 BLAKE2B 00c979a32409f765b1c7d70edb91c8df71042e3ef0692e4575f8c161d8789f5b0dc8f60500925905089a1e13078a012ad5a8b312e5a78e882238c722c936eff1 SHA512 fb6ee21f3a71021e7b425522d0c0d6d6c7ce27cb62bac61c83d85c09311518a7ef7404347fe597d3b7d5ca19c09a6b7b61135779969777880e307a820ce93bdb
diff --git a/dev-python/griffe/griffe-0.41.3.ebuild b/dev-python/griffe/griffe-0.41.3.ebuild
new file mode 100644
index 000000000000..6b674e3230b3
--- /dev/null
+++ b/dev-python/griffe/griffe-0.41.3.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=pdm-backend
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Signature generator for Python programs"
+HOMEPAGE="
+ https://mkdocstrings.github.io/griffe/
+ https://github.com/mkdocstrings/griffe/
+ https://pypi.org/project/griffe/
+"
+# Tests need files absent from the PyPI tarballs
+SRC_URI="
+ https://github.com/mkdocstrings/griffe/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/colorama-0.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ >=dev-python/jsonschema-4.17[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-2.4[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+export PDM_BUILD_SCM_VERSION=${PV}
+
+EPYTEST_DESELECT=(
+ # fragile to installed packages
+ # (failed on PySide2 for me)
+ tests/test_stdlib.py::test_fuzzing_on_stdlib
+)
diff --git a/dev-python/ipyparallel/ipyparallel-8.7.0.ebuild b/dev-python/ipyparallel/ipyparallel-8.7.0.ebuild
index 2dd3ed0320fe..9c0198fd04e3 100644
--- a/dev-python/ipyparallel/ipyparallel-8.7.0.ebuild
+++ b/dev-python/ipyparallel/ipyparallel-8.7.0.ebuild
@@ -39,7 +39,6 @@ BDEPEND="
test? (
dev-python/ipython[test]
dev-python/mock[${PYTHON_USEDEP}]
- <dev-python/pytest-8[${PYTHON_USEDEP}]
dev-python/pytest-asyncio[${PYTHON_USEDEP}]
dev-python/pytest-tornado[${PYTHON_USEDEP}]
dev-python/testpath[${PYTHON_USEDEP}]
diff --git a/dev-python/jupyter-lsp/Manifest b/dev-python/jupyter-lsp/Manifest
index 5b88f172906d..73eea87d9dd0 100644
--- a/dev-python/jupyter-lsp/Manifest
+++ b/dev-python/jupyter-lsp/Manifest
@@ -1,2 +1,3 @@
DIST jupyter-lsp-2.2.1.tar.gz 45839 BLAKE2B 5f7af7a335f97f8f35ebcd2cabb9b6377ec3bbc9b756bcd9c02e3b2ab8798855c2de9df7b9c3f1b832672030de660e1b6a475de70708911c1deca128d1cbfe44 SHA512 2f8d5a7a19daedd649810baa43bed5ae994dec7245a793298f5de4c32fd22190ffa3c4a356b3bfda3422fcdce5a34ea081c7f49030db8fcb633f761719ecfe4b
DIST jupyter-lsp-2.2.3.tar.gz 48675 BLAKE2B b7b57e6d5cf2efb1a6c4a2884da721b8230da28f656679bc46502b38f4960663400af0dcacff2e92d211dd8e190ee633dbb63d24e9499b8530ebbc399597abd7 SHA512 ecccf5a99ef64e64bcdf999673035c45f5ccf42e9e02c3de9c600c0469f727f3cf0a6c71f53090494523070521df88642260e477588963303af0d9ba0518bb96
+DIST jupyter-lsp-2.2.4.tar.gz 48663 BLAKE2B 7157d52657b614af1909e681903aa5fabd5b8d4f246f8e87b281615dc9c754c23da928a806980e1f7c8230786870263cb4d9fab32e365dfe660a2e578e40552b SHA512 01d2b18ec3f9575c1d2ab1ea64f94d093fa593374ab8a1343024b78c1baf935a9fd51a4f9a65a1094b6fc59384ca244714e73066d8db13fa00de5c1f625462c6
diff --git a/dev-python/jupyter-lsp/jupyter-lsp-2.2.4.ebuild b/dev-python/jupyter-lsp/jupyter-lsp-2.2.4.ebuild
new file mode 100644
index 000000000000..80328c388138
--- /dev/null
+++ b/dev-python/jupyter-lsp/jupyter-lsp-2.2.4.ebuild
@@ -0,0 +1,85 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYPI_NO_NORMALIZE=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 optfeature pypi
+
+DESCRIPTION="Multi-Language Server WebSocket proxy for Jupyter Notebook/Lab"
+HOMEPAGE="
+ https://github.com/jupyter-lsp/jupyterlab-lsp
+ https://pypi.org/project/jupyter-lsp/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/entrypoints[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-1.1.2[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # Do not depend on pytest-cov or flake8
+ sed -i -e '/--cov/d' -e '/--flake8/d' setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # hangs
+ jupyter_lsp/tests/test_auth.py
+ # Not packaged
+ jupyter_lsp/tests/test_detect.py::test_r_package_detection
+ "jupyter_lsp/tests/test_listener.py::test_listeners[bash-language-server]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[dockerfile-language-server-nodejs]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[pylsp]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[r-languageserver]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[sql-language-server]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[typescript-language-server]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[unified-language-server]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[vscode-css-languageserver-bin]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[vscode-html-languageserver-bin]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[vscode-json-languageserver-bin]"
+ "jupyter_lsp/tests/test_listener.py::test_listeners[yaml-language-server]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[bash-language-server]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[dockerfile-language-server-nodejs]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[pylsp]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[r-languageserver]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[sql-language-server]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[typescript-language-server]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[unified-language-server]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[vscode-css-languageserver-bin]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[vscode-html-languageserver-bin]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[vscode-json-languageserver-bin]"
+ "jupyter_lsp/tests/test_session.py::test_start_known[yaml-language-server]"
+ )
+
+ case ${EPYTHON} in
+ python3.12)
+ EPYTEST_DESELECT+=(
+ jupyter_lsp/tests/test_session.py::test_start_unknown
+ )
+ ;;
+ esac
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
+
+pkg_postinst() {
+ optfeature "Language server for Python" dev-python/python-lsp-server
+}
diff --git a/dev-python/jupyterlab/Manifest b/dev-python/jupyterlab/Manifest
index 907acb4924c2..74d24754d059 100644
--- a/dev-python/jupyterlab/Manifest
+++ b/dev-python/jupyterlab/Manifest
@@ -2,3 +2,4 @@ DIST jupyterlab-4.0.12.tar.gz 18352336 BLAKE2B afa406372cabd740dc09b354e626d4b87
DIST jupyterlab-4.0.13.tar.gz 18354664 BLAKE2B 6c4df40c8ab5a97cf85025c752f48dc97b8d90e01e4343ba40cd7c25f1d48936040af9704a5a9b855aa8cfc9d43db15c0904c96daa73ec0f65c18b365cd2155b SHA512 89a6e7ca594905b08ce7c85299e3fe0a94cb8bb135258c992c3b6eab20f04b34b956e997a362088347c1488f5720e59f8c3d1366d9fbc5bd0dc7c1cc37ad2d43
DIST jupyterlab-4.1.1.tar.gz 21807943 BLAKE2B 9bd6d9fc25c68743f01c2193e09d996e4350a8a00b1b8a0c83c001d4452a16b7ba69362fea36955cbb93f8f408a6e3a5dd45f2a17cde8899d5a192f7395875a5 SHA512 9441dc0faec7e65c7a228b2876d5a6d962e892209414e38c336436af218789d6f735c6c7eb089a0c1525c04ef6824abfb5da82b14292dc402b6a0f7f97d06e0a
DIST jupyterlab-4.1.2.tar.gz 21810592 BLAKE2B 5c5c828c0144260e1fbead1f2ea23cd6b458c2c86dc2202ed4e56fd566d85e14544fa7443d0676926e0619721bad5b8e85431bf02f7a61a3f0fceeafb0eafa66 SHA512 17ab1132421e494a3ce48edec3823576f0202b90e238a01f8500b86bbd7753a8b3e6376a9f2bdd5cf7b1f50708853d92886b486a4a0c620df179693f1566e3e2
+DIST jupyterlab-4.1.3.tar.gz 21796851 BLAKE2B afe0b939a24bd977d2667d4b769a2742ca34e52ffe9264bd940d740e6189a5285f7e2f3c261f8af0a63097f1afa70802939e635bd316bcdc592ca72d670c0ef9 SHA512 ea463c86b06632a007e4fe1d7fd724b1b2377af13620313bc70620d7fbf05ccc5b6a5565b27469ea281a95424c446f62db904f1d40dfab321c6821a998813513
diff --git a/dev-python/jupyterlab/jupyterlab-4.1.3.ebuild b/dev-python/jupyterlab/jupyterlab-4.1.3.ebuild
new file mode 100644
index 000000000000..bf6f338b6cac
--- /dev/null
+++ b/dev-python/jupyterlab/jupyterlab-4.1.3.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi xdg
+
+DESCRIPTION="JupyterLab computational environment"
+HOMEPAGE="
+ https://jupyter.org/
+ https://github.com/jupyterlab/jupyterlab/
+ https://pypi.org/project/jupyterlab/
+"
+
+LICENSE="BSD MIT GPL-3 Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ dev-python/async-lru[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.25.0[${PYTHON_USEDEP}]
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0.3[${PYTHON_USEDEP}]
+ dev-python/jupyter-core[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-lsp-2.0.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-server-2.4.0[${PYTHON_USEDEP}]
+ <dev-python/jupyter-server-3[${PYTHON_USEDEP}]
+ >=dev-python/jupyterlab-server-2.19[${PYTHON_USEDEP}]
+ <dev-python/jupyterlab-server-3[${PYTHON_USEDEP}]
+ >=dev-python/notebook-shim-0.2[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/tomli[${PYTHON_USEDEP}]
+ >=dev-python/tornado-6.2.0[${PYTHON_USEDEP}]
+ dev-python/traitlets[${PYTHON_USEDEP}]
+ net-libs/nodejs
+"
+
+BDEPEND="
+ dev-python/hatch-jupyter-builder[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest-console-scripts[${PYTHON_USEDEP}]
+ >=dev-python/pytest-jupyter-0.5.3[${PYTHON_USEDEP}]
+ dev-python/pytest-tornasync[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/requests-cache[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # These tests call npm and want internet
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_uninstall_core_extension
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned_folder
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_install_and_uninstall_pinned
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom_minimal_core_config
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_custom
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build_check
+ jupyterlab/tests/test_jupyterlab.py::TestExtension::test_build
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_clear
+ jupyterlab/tests/test_build_api.py::TestBuildAPI::test_build
+)
+
+EPYTEST_IGNORE=(
+ jupyterlab/tests/test_announcements.py
+)
+
+distutils_enable_tests pytest
+# TODO: package sphinx_copybutton
+#distutils_enable_sphinx docs/source dev-python/sphinx-rtd-theme dev-python/myst-parser
+
+python_install_all() {
+ distutils-r1_python_install_all
+ mv "${ED}/usr/etc" "${ED}/etc" || die
+}
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..e9da2ac43cac 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 630fe63c6f53..c09b7356f549 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 736a1167c898..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -1,6 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
-
- <origin>gentoo-guru-overlay</origin>
+ <maintainer type="person">
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/libarchive-c/Manifest b/dev-python/libarchive-c/Manifest
index f7d764a464da..80b123cabd3f 100644
--- a/dev-python/libarchive-c/Manifest
+++ b/dev-python/libarchive-c/Manifest
@@ -1 +1,2 @@
DIST python-libarchive-c-5.0.gh.tar.gz 48751 BLAKE2B 2ab737c7493c202ba9a1ad57e1066aad12ea984bfa0e63115f59491ea14b3bd1d46d2bb20f033bf5bae64a6badf73b641183f63cc79c9f0e6141792a35521dc4 SHA512 df4758f4b7207fe77ae650aa78c302e9e2a0c7ba81fbeae70af8cb37789a056bc420acd73c1d5baec7b0e93a47fd3e5130db8e43c983f4723366f75a58823f75
+DIST python-libarchive-c-5.1.gh.tar.gz 48816 BLAKE2B 5b727c88eca866f69eda701ca8898d4bd3b68adefb8234a501cb280fae2be98f1314bb64ff94bcc5e1c0cae9ffc6866ee70aa4fbc4353eac1f16d59f9a789ebc SHA512 a2026aba3ef325f10e981e15e50de0435d7371642b0e6df8cd5ab64e76186b2a72297b32f429547e091fb799c9d0fa41be5a6824408c08f6c71585d59175d7a0
diff --git a/dev-python/libarchive-c/libarchive-c-5.1.ebuild b/dev-python/libarchive-c/libarchive-c-5.1.ebuild
new file mode 100644
index 000000000000..77749eb6f02d
--- /dev/null
+++ b/dev-python/libarchive-c/libarchive-c-5.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+MY_P=python-libarchive-c-${PV}
+DESCRIPTION="A Python interface to libarchive"
+HOMEPAGE="
+ https://github.com/Changaco/python-libarchive-c/
+ https://pypi.org/project/libarchive-c/
+"
+SRC_URI="
+ https://github.com/Changaco/python-libarchive-c/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="CC0-1.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~x86"
+
+RDEPEND="
+ app-arch/libarchive
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/marshmallow/Manifest b/dev-python/marshmallow/Manifest
index c18b24621aae..579d1ab46aef 100644
--- a/dev-python/marshmallow/Manifest
+++ b/dev-python/marshmallow/Manifest
@@ -1,2 +1,3 @@
DIST marshmallow-3.20.2.gh.tar.gz 183876 BLAKE2B 84cf8ca23069ad1d2353ffa9299556298457485fa459746b948835f04f92ef3949d5429e8285e084be7398fb294b3d74eba1b38ef21b469daed401f1e6affcdb SHA512 8305693405a976c53333b0c6ef074a12af4736f9620ca37c7c2ec6318fac2b19086426344ce8c2f515e95becdba8b2bb1c20aca5a9dffb4145cb27fee00dc080
DIST marshmallow-3.21.0.gh.tar.gz 183738 BLAKE2B 9f9b9203be93e6feecbd6b7e1da32f737ba33ca8e386e062d091e20480f5241c1d73f77afd542cb24816a48aa5a948aaa20edcfe9d0fdfa847f6e405e89cff20 SHA512 d08e4eedafc1d6f2bfab463357febc75013e8a548195ab85aac55fa225f2180a4f1646d68f8586d369dd108a793086c5bb8522c7543a51540ec4ee6de5305ad3
+DIST marshmallow-3.21.1.gh.tar.gz 183822 BLAKE2B 786287604312b4c54167458c35caf5ac3eb2c9ce63c1b9bd0b8fc33e208e5f694e84842c75c93fd91535bc231ebf703ea3ea0b352d100b59f103e280b840b170 SHA512 6de06ced6a58ef0c312ee4c1edfbe011401bba08c27fcf2dd2c3e44cb072cded1cf5f16a4d4945344d56f0d26b5eb165f6d031b50c215f122c7cc6fe25389318
diff --git a/dev-python/marshmallow/marshmallow-3.21.1.ebuild b/dev-python/marshmallow/marshmallow-3.21.1.ebuild
new file mode 100644
index 000000000000..e0cd0f9d1b17
--- /dev/null
+++ b/dev-python/marshmallow/marshmallow-3.21.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="A library for converting to and from native Python datatypes"
+HOMEPAGE="
+ https://github.com/marshmallow-code/marshmallow/
+ https://pypi.org/project/marshmallow/
+"
+SRC_URI="
+ https://github.com/marshmallow-code/marshmallow/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/packaging-17.0[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/simplejson[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/mkdocs-ansible/Manifest b/dev-python/mkdocs-ansible/Manifest
index 4521def0b578..f1560e2d83ad 100644
--- a/dev-python/mkdocs-ansible/Manifest
+++ b/dev-python/mkdocs-ansible/Manifest
@@ -1 +1,2 @@
DIST mkdocs-ansible-0.2.0.tar.gz 29254 BLAKE2B 3d9582c50a3e6abad56bae2f78ff2970b96b768fd8dbc0aa60d15a0acfc23535acae42b7b7f585db3165bf658b3f18c483484b630b350aff97ebb97edb2abcae SHA512 8e0a3b447a4a31f3d48fef5e381d01e0f2ebee2dd317a699b30e83e483234ebac1ad265f66f15dfa92c52f6c1c4a0a77aacef2915b0a60b11ffe5960cd774820
+DIST mkdocs-ansible-24.2.1.tar.gz 44750 BLAKE2B 364ac6ee1b044309eaf3cd15c4944fd678680f17fdf35dc610522ff751ee8136c52fd7a1dfbe735c897f93ea9566e7bc986af3c6f18e90ad9945b3580bbb3eb2 SHA512 d01eec55638e34b83c06c7c4f3163d5c44fac373fb1ed099b9a63c59af27efebd85b655f1f9558add5ddc968abe1d1d28d326b0fe500e395035c62e006653b27
diff --git a/dev-python/mkdocs-ansible/files/mkdocs-ansible-24.2.1-prune_deps.patch b/dev-python/mkdocs-ansible/files/mkdocs-ansible-24.2.1-prune_deps.patch
new file mode 100644
index 000000000000..ecddf3a347b3
--- /dev/null
+++ b/dev-python/mkdocs-ansible/files/mkdocs-ansible-24.2.1-prune_deps.patch
@@ -0,0 +1,10 @@
+As of 24.2.1, no mention of pipdeptree anywhere in the actual code.
+
+--- a/.config/requirements.in
++++ b/.config/requirements.in
+@@ -11,5 +11,4 @@
+ mkdocstrings-python>=0.8.3
+ mkdocstrings>=0.21.2
+ pillow>=9.4.0
+-pipdeptree>=2.4.0
+ pymdown-extensions>=9.9.2
diff --git a/dev-python/mkdocs-ansible/mkdocs-ansible-24.2.1.ebuild b/dev-python/mkdocs-ansible/mkdocs-ansible-24.2.1.ebuild
new file mode 100644
index 000000000000..39d6501e5c61
--- /dev/null
+++ b/dev-python/mkdocs-ansible/mkdocs-ansible-24.2.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Ansible theme for MkDocs"
+HOMEPAGE="
+ https://github.com/ansible/mkdocs-ansible/
+ https://pypi.org/project/mkdocs-ansible/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv"
+
+RDEPEND="
+ >=dev-python/markdown-exec-1.3.0[${PYTHON_USEDEP}]
+ >=dev-python/markdown-include-0.8.1[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-gen-files-0.4.0[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-htmlproofer-plugin-0.10.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-material-extensions-1.1.1[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-material-9.0.13[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-minify-plugin-0.6.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-monorepo-plugin-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.4.2[${PYTHON_USEDEP}]
+ >=dev-python/mkdocstrings-python-0.8.3[${PYTHON_USEDEP}]
+ >=dev-python/mkdocstrings-0.21.2[${PYTHON_USEDEP}]
+ >=dev-python/pillow-9.4.0[${PYTHON_USEDEP}]
+ >=dev-python/pymdown-extensions-9.9.2[${PYTHON_USEDEP}]
+ >=media-gfx/cairosvg-2.6.0[${PYTHON_USEDEP}]
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-24.2.1-prune_deps.patch
+)
diff --git a/dev-python/mkdocs-htmlproofer-plugin/Manifest b/dev-python/mkdocs-htmlproofer-plugin/Manifest
index 7517216d6da5..29921c9db42e 100644
--- a/dev-python/mkdocs-htmlproofer-plugin/Manifest
+++ b/dev-python/mkdocs-htmlproofer-plugin/Manifest
@@ -1,2 +1,3 @@
DIST mkdocs-htmlproofer-plugin-1.0.0.gh.tar.gz 14534 BLAKE2B 361c422e985dd00c12ffa6bcd1ba02df0ef18fb37f7290660963832b38dd0f2c8e79662780224588f626eaa9215afa9852aed59fc6771a3877f779f40493f54d SHA512 083103ca8a1e1f63a22fb877ec3d123549745157f3f8bc3b10364c271b7975c09222b850ddef4bc9a1aa9d168711764f74c91bed50d8a48c4c7415f894df5fb3
DIST mkdocs-htmlproofer-plugin-1.1.0.gh.tar.gz 15368 BLAKE2B 19e87fcbe1db4f5cd80ab61957b08ff67d2210fa1ad98ee719a24386bdc6594da8bab20375e66767634a64539d699a7647b8820b12a8f170ece813494d1cde93 SHA512 cca7152e4a8ddf4cca28962f5aabf557b00ff36e775a3ab4fa1fd7a687ca736fdf8f5b509f026c802f4665864413772f216ca7724aca7bfac42e19da36dd422b
+DIST mkdocs-htmlproofer-plugin-1.2.0.gh.tar.gz 15454 BLAKE2B d123e00d9e76787f73038780297df2cdf02a7604644e7d19e21505f649c2cd95c8d00d373c48ab663432b3a13287ade994980d017c409af9217fed1d23df7d01 SHA512 ebe099343e7ffcaecfce272552173032a3355305e3d1273092cabbcc5c24797c2de386cb441e5a0ea91fcd98965a32a1b1cf44609acd356e695c039d9444831f
diff --git a/dev-python/mkdocs-htmlproofer-plugin/mkdocs-htmlproofer-plugin-1.2.0.ebuild b/dev-python/mkdocs-htmlproofer-plugin/mkdocs-htmlproofer-plugin-1.2.0.ebuild
new file mode 100644
index 000000000000..b0cc5ea88518
--- /dev/null
+++ b/dev-python/mkdocs-htmlproofer-plugin/mkdocs-htmlproofer-plugin-1.2.0.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A MkDocs plugin that validates URLs in rendered HTML files"
+HOMEPAGE="
+ https://github.com/manuzhang/mkdocs-htmlproofer-plugin/
+ https://pypi.org/project/mkdocs-htmlproofer-plugin/
+"
+# No tests in PyPI tarballs
+SRC_URI="
+ https://github.com/manuzhang/mkdocs-htmlproofer-plugin/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/markdown[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.4.0[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/nbconvert/Manifest b/dev-python/nbconvert/Manifest
index f67b03772e28..c407121bd8fd 100644
--- a/dev-python/nbconvert/Manifest
+++ b/dev-python/nbconvert/Manifest
@@ -1,2 +1,3 @@
DIST nbconvert-7.15.0.tar.gz 853363 BLAKE2B c417428708279099d8a966ab61d044be1deebbb37757b75a248b8bf50302db8a7ba39a25c0d255777d695f9af93f43f420727c33bdad0a4a239660b7f74cc49a SHA512 bf598cc776ceadadecdec816ec8fd78502cffae399175d22cf184d6e45974fcd0d5e731ef8aa032aec251dcd2a8e5d6077c585c5f70786d4cbe72979e1ad8503
DIST nbconvert-7.16.1.tar.gz 854006 BLAKE2B 304690bc9c6636efdec1f904314bab6db7805da5608dd929a837d2c56253423c0df1f8c5e5add54deb32e2a60bc6497c823602d1a11d13bb3b1004cc2f5cd4cc SHA512 6a2991eab0b1e981920d7c040535a1bffea037e854b6aeca26a2c185a31305855096f83092348e7dbd102094d5bda860bc893594126e969cfe170d09f7a808d5
+DIST nbconvert-7.16.2.tar.gz 854119 BLAKE2B 46b150af3bcdf9bc1269d6c020f5b3c23fc429060b73ed8f2221e07820092b3b6240be4dad978e009d2717d0d041b2a9aac6474d9ac9c6f8394fe83ec3e23a44 SHA512 8782507013f7eb8fc83bd51d94649834c9b376fb932d8a86766210c021af3646a623ee1dc0bb73592dc0d38e3c9b5b864dbd97834dcaf736230f6524575759ef
diff --git a/dev-python/nbconvert/nbconvert-7.16.2.ebuild b/dev-python/nbconvert/nbconvert-7.16.2.ebuild
new file mode 100644
index 000000000000..6d9143dd99a2
--- /dev/null
+++ b/dev-python/nbconvert/nbconvert-7.16.2.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi virtualx
+
+DESCRIPTION="Converting Jupyter Notebooks"
+HOMEPAGE="
+ https://nbconvert.readthedocs.io/
+ https://github.com/jupyter/nbconvert/
+ https://pypi.org/project/nbconvert/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/defusedxml[${PYTHON_USEDEP}]
+ >=dev-python/jinja-3.0[${PYTHON_USEDEP}]
+ >=dev-python/jupyter-core-4.7[${PYTHON_USEDEP}]
+ dev-python/jupyterlab-pygments[${PYTHON_USEDEP}]
+ >=dev-python/markupsafe-2.0[${PYTHON_USEDEP}]
+ <dev-python/mistune-4[${PYTHON_USEDEP}]
+ >=dev-python/nbclient-0.5.0[${PYTHON_USEDEP}]
+ >=dev-python/nbformat-5.7[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pandocfilters-1.4.1[${PYTHON_USEDEP}]
+ >=dev-python/pygments-2.4.1[${PYTHON_USEDEP}]
+ dev-python/tinycss2[${PYTHON_USEDEP}]
+ >=dev-python/traitlets-5.1.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/ipykernel[${PYTHON_USEDEP}]
+ >=dev-python/ipywidgets-7.5[${PYTHON_USEDEP}]
+ dev-python/flaky[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_test() {
+ virtx distutils-r1_src_test
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ tests/test_nbconvertapp.py::TestNbConvertApp::test_convert_full_qualified_name
+ tests/test_nbconvertapp.py::TestNbConvertApp::test_post_processor
+ # crazy qtweb* stuff, perhaps permissions
+ tests/exporters/test_qtpdf.py::TestQtPDFExporter::test_export
+ tests/exporters/test_qtpng.py::TestQtPNGExporter::test_export
+ )
+
+ # virtx implies nonfatal, make it explicit to avoid confusion
+ nonfatal epytest || die
+}
+
+pkg_postinst() {
+ if ! has_version virtual/pandoc; then
+ einfo "Pandoc is required for converting to formats other than Python,"
+ einfo "HTML, and Markdown. If you need this functionality, install"
+ einfo "app-text/pandoc or app-text/pandoc-bin."
+ fi
+}
diff --git a/dev-python/orjson/Manifest b/dev-python/orjson/Manifest
index 0a0d095625e0..00a807953afd 100644
--- a/dev-python/orjson/Manifest
+++ b/dev-python/orjson/Manifest
@@ -1,4 +1,3 @@
-DIST ahash-0.8.6.crate 42780 BLAKE2B ce2fb8201a484715d42bbd9ca1bfe2d5f541d90e3619ebd437c34a018920b679d5a11f9e96be48fbdabd2e98a379c0395d118616f21eb9004724d8fcb04b2b2b SHA512 46428b27e96be1f30058b9383a94988beeb5064dfb4df04d6959b451d0c77ef69fc51f07fdf9511ab9728295eb6beee7783c31a2297f9e473fc537883e722b73
DIST ahash-0.8.8.crate 43028 BLAKE2B 598a7f2ef74a9470913d2d4e46d1652a8ea7ccd9843778b7f2f4d9f41703ba4cae552aca8205fef6ff8f601d919a5f141391a942e13e5285c7e053cbbbe4afcc SHA512 b54c8c2cfde8115d2108dca36ab698d1b43eb015caa36e6d02288ff21a67ff54144affd406af704107689888f52548203731d3793e5b881bd267b2f803f478cb
DIST ahash-0.8.9.crate 43050 BLAKE2B 81e2212602ced9e9cb7bd4a3d62fb5a9a3b382cf367c653907314f9a1870b20ec0de5ce6154e73941628daadac3f97322d4aa58b41e5d5d16592d6587321ac2e SHA512 54a338c08a42fb0da205eb82d23cf03ae7da3f4772f685f798e748dcfec1794a34f8104af27abc961b3e04d0ce5d79fc5b86d4249cd7a6f1b78f65bd44104814
DIST arrayvec-0.7.4.crate 29856 BLAKE2B 81ffac1db340e919618351819def3880ab1ef70d0acc47d680f15298eb749bcbc3bf7944ba14159be46b1e734c91b4c0f8cbaf774fd864c17caa3c9fb1fc2e9b SHA512 91e8f70330c515c966d78ae235e890594f9607381ac738a2c3586b53f01411e98d1687494f39ccc365948ae60497df3dfb2be18e26ab7e69bc0966b6c250e1ac
@@ -10,7 +9,6 @@ DIST castaway-0.2.2.crate 11091 BLAKE2B 3445e68aaf533caa1df958fb371622ef61c7778d
DIST cc-1.0.83.crate 68343 BLAKE2B 33245b33fa845ea2f36da36e3830ec835f937e4319865b357ee9d5ea29a0f9f8392eadb38bf1d95e3c15ed201e561acaa87aedcef744f8db3dabff87a96c7f02 SHA512 742a248c3a7547bb220a0b9c97b67a831fab9b4ac21daa08c85a3966b9fe576088def33e16132fcabec9a2828a6fc437088bb045bfc98b2cea829df6742565a7
DIST cc-1.0.86.crate 72973 BLAKE2B 9f9f2e974b38d2fa6d4c789342aeea952c41bc475cfb0f6fbb24b63fc1e5766c228d371e975099c1ebff0d7779196f70a95249e94dbe965bfd55931c704135b5 SHA512 00fcbbfd92dcfaf6e2d2792bb5559fd3f9afeeb7083f08a128f468ecb05e961cd53563277f94c97a1bdff700844f2ddcb4db3670cc219bf409ce7489ad284ea1
DIST cfg-if-1.0.0.crate 7934 BLAKE2B e99a5589c11d79d77a4537b34ce0a45d37b981c123b79b807cea836c89fc3926d693458893baca2882448d3d44e3f64e06141f6d916b748daa10b8cc1ae16d1b SHA512 0fb16a8882fd30e86b62c5143b1cb18ab564e84e75bd1f28fd12f24ffdc4a42e0d2e012a99abb606c12efe3c11061ff5bf8e24ab053e550ae083f7d90f6576ff
-DIST chrono-0.4.31.crate 214513 BLAKE2B 2ac43852ea14cb7b129adf68ff62adac1763b3f4802dd3d23c43cb131377b501b4adb22aa93818d7ceded8eb10c17f94a7836257ce2876d0513b063276129c54 SHA512 23276daa2c1bc3b7b2327dc84200fb40cc995a8b599d1a537e92e08138ab8a0d1548a510a8155dcdda18820120d7204e89a4686c866fc3a8d2460cdb30ac6089
DIST chrono-0.4.34.crate 228932 BLAKE2B a2feab8d8b079209f8661fd8c5069f2a5fc3e5b0a6233187ace16f8f2ad8b4a147253e47af306cb31aacd82bdf490a8c8a171ad702b8dc22f9b934205d080c55 SHA512 2aaccde5e5ecaec744613429f807b3c34b92632973de7fdbdafd7ca510b917a23a0abc92a6497754d0d3368d684305648aec1fa2a0a61c88a100a20fab2348f1
DIST compact_str-0.7.1.crate 57246 BLAKE2B 2da5cfdc91d417294ca87ce834e8006d3426aff4cb22945e6744ace7d22c940f0181a75f25e6acc41efb5d83bf6ba4ee0876db3ce5cc05b9524a9868dcb8c7c9 SHA512 29ed591024f8f1b478722384664f5700fbde97b44af82fa32a8d1ccdedca9dc425555f9e5a4431a6c954d58cd90d60a25a9ed7f18773ede13edfc68094a23275
DIST const-random-0.1.17.crate 6640 BLAKE2B baf09fa4899f09a5ef78b97a0f1e19ac0a405c3072f63cf1b21de744bccdacc5d6e098bd3144e7b80d91dd9eec5cd0c4d0db63b2a91a790940f56e0b6e13d480 SHA512 a49c2531a073158b008e7ca506e9e9e302025f9af0a2dde078827b769ce662101ba0fd866dbbcb50dbaaa20abcb9e70aeff00c4fd2cade56a690ac092d11fda1
@@ -20,18 +18,13 @@ DIST encoding_rs-0.8.33.crate 1370071 BLAKE2B 0e81419086ca6e18f2aba5194b87eaba49
DIST getrandom-0.2.12.crate 36163 BLAKE2B 0afef8504932ea0ea051cde1d14bd5b79edde68d6ebae6fe88fa4aaa532605a16f466d0d9c0d0aa619eaa105600b6d5ee4e191865a3fa041549a78f78ca82396 SHA512 dd97d7dae1a7ba653abdaf2db719e1a9c8eb721b08b4af0f1c45b1ed5079069d1b57e4f6d9d879e7fae3a890763f4b6aea9bc2d945392b98e811e7b348589bee
DIST itoa-1.0.10.crate 10534 BLAKE2B 8ffcb345d07070cc01651fd44c19f3e0659185eda733c407fd4be0955a301879ae1272dae7f425279dae8dcb7f7dc954465c9a09b5c521938a503d34fecfe2a7 SHA512 fc496be0873e31afa6ddf7f2958030f8fcb517cadb86a48280a0c50ce50460afda189af1e6c26e5ff6f85c750d772c21503864c32b526c4fe4bcdb5b07918538
DIST itoap-1.0.1.crate 83316 BLAKE2B db0d9f712155bfe4285c3d3debf314da2d64ffd127d6b9dd471074eb7e5dcda41f1e5b04bdad63e0fbd695043eff21956709ffdf2cdd7fc5b329d1d79ee69fc6 SHA512 ed15ba3e1ee1ef5f1658fbb47e8cba66e62acf05d8ac45340e15ace24c86e5adf072b52bfb90ebc5e90f31a9a8e91ada23d4322db9a87bb966922afdd4775840
-DIST libc-0.2.152.crate 740278 BLAKE2B 8eecde477063207d77b6894d6f9194c8dd10e55b69585e3d66296eaa0b9d3f6e2d033e667207182bf4c3cf31f6d38820c9187b2006f4b5ebee898adafb4b2751 SHA512 1722f6f52077efab90026aae3d10306f8c38ebba95366593c3c1adf707fae121ab450064ad9e8be5a667caf6af0b90fad4d1ca1009db0f2220093c44e33c4b5c
DIST libc-0.2.153.crate 740614 BLAKE2B 523a41bc8cff4ebcba0edbbe9e6a2286ec7cb3ba5e90ca5926c972b68e4b34188bc077d20c22376238c3cd91b7455898a95c505ace4ededea88cc496edb4c5a7 SHA512 3f99e3a192974fffdc053ef21e9ad5fb54b7cdbd4755df176704a95dba38047138ccab76763e89c6b565f37f98fd549fe368749f84f6d1638b3209cb07eae9b4
-DIST no-panic-0.1.28.crate 11616 BLAKE2B 6cf81300705e5e0045959be64c2b9151fac30be13f3c9c985d87e7c0e6959e308f03d0b99777194de5b6662b18450ff27e5b4cd2ad2590ae847f2d5a2550031e SHA512 0a08b68b6af9986414181b94e0133d7b6ac673870ee4353f2858720b82555c8ef4697b148e7dbbffd99c2f69cb0ddd3809c6fce9b33331b038223d6606c34de4
DIST no-panic-0.1.29.crate 11689 BLAKE2B 15c88784de85c159d65c7f7cab968692cba303abac1bbbdeb0c92014df51932094a4e12e2df253256cea9fcfb08f339514d67f08bb549e89fb16301a7e9432b9 SHA512 647d5ade614f7dfe0eb8b1ae8a78897ce61e15cffbafb889e7a5271c90cf6b40d3c37ef94c600b2058207cc45465c0553aea9c9e17eee93963672bcff9913354
-DIST num-traits-0.2.17.crate 50190 BLAKE2B a549ef00c749dc7f276c4817477d1f9dab70cba01b6a3afa5743f16f16353bc50d992d7446a54859cf750a410d66c8cd3440708a6b91fd89d3b8889f8fff1668 SHA512 4d47d3e2f5a31019e038e609897cb0cef1ba061b35cee7e2a02e65179dcdd4960bd5b9bc759b5c013d699b3fbd9b014940a15e36658f7d4fd12cb0c7841c5b4e
DIST num-traits-0.2.18.crate 51930 BLAKE2B 6c40e155d7a52267a7183d8030ef34245492d33f103cc24551b10da3eaa18e3db485062ff87057dc23e6b55e381e5c5d2a2633aaf6f4763c06677a0a0c524f02 SHA512 e395ad9f3b21b0dd1d3a94cefe0d68a42d1b1d429ddb2823696f9cd75042568a635d93d133ddb9497ed357e5b3be5caddb8e4a4af87b65882bbdc60b05c74ebc
DIST once_cell-1.19.0.crate 33046 BLAKE2B c14b374eaf4ac0f60acc2e02f7bba270a0e8e0a6978d749cd3cb0ab3eb26907e4fbea70dd5132982f90290381ed18ff8a87fd530f1415fabffac864f157ea380 SHA512 4154876afd34a699ee650d1a8a1c5ee5a25f0ebd9388b8bef2564e33629fae68f113d7507488c68abbe7ea1acf9bbc41813cbbf3ef3e464e3f3b9cc7a51d870c
-DIST orjson-3.9.12.tar.gz 4821075 BLAKE2B 893eb8847cb97cf4468b1143f6fd6e1bc2f3efa81fc44d39c55660681a0a449c578431536a413415c4c4f8e69aac51a00fe5f0ff4b874f2ef94efc6d36e782cd SHA512 b2689d92b34b6c818e5a798e6de08d693e3a6b04f205d943fb8960727153635faf7118d33ea78a79ce09aa0b066b07d431b27871a61a8de536f64a80f6bab387
DIST orjson-3.9.14.tar.gz 12356417 BLAKE2B 9336d3b70aa3174c6314cd436bb1504195bf2090f1f7f2992361a1413c5a82d35908eeab76ae116e1e21a7adf1295280bc4bb8449a57a7b91021c645f4f04db8 SHA512 e390bc73ddc0efd34590e404f59a759b7022a2b3aa1f8d2e7ecbebf870002a9b9d311554e2a35ec073ba35b76c5c656ed63f79f34efe0da1c0a32228d5c4d31b
DIST orjson-3.9.15.tar.gz 4854933 BLAKE2B e03720bd2977b02e9025cbcaf5aa64c73eb0dd90b328a4a2a385bd113f75a642e5aacf1c38d6509f67ff0f13eef8b8682572087c07d2d19b6e0c704c8ed77ec0 SHA512 ad6a7bbb8ffbf1eff05fd421527264336a844133dd8c19303cd22d767ad5f76047191beba8b45b1eed79c7024099a9e04529c40d669db76475191c67a42fc183
DIST page_size-0.6.0.crate 8479 BLAKE2B c90699135f158a0dea1acf80acfab002a4f4971188dac853af03c0bb79c2ad5b67f4decf7df5157f390cc3fa5b62a265c6e7948ce9ca9e7f2dc3595c60f07ac1 SHA512 204faf102760e9f3edc480302a7d7e6b995b7a40850372ebb332cab82b9c8301e761351c7abce93bde9473ad9e944bb07e6c4447d4ee1891f5ae2c261b74b8e5
-DIST proc-macro2-1.0.76.crate 45660 BLAKE2B 40b538d9d9fec10b9e4b147ce0a86efb10feedf9e0452e5568e8ad7d2b88a201ca6ffd2cd62d8815a1ee72d557fe6280120a913868c3d868c1235686742cd8b8 SHA512 2ea7ade475171166489ab3e745e8c526e49c7521bc39b1bfec6dd2fd0807fd3cc5579235f77534be855f9ecab481205e77e66b14ebb22e66d2c3cff842567247
DIST proc-macro2-1.0.78.crate 47158 BLAKE2B c56a24fce3faca9e04db7965cab552d2a976c3764df0a84179b5a89d1230ab355c777a82b4c982e3945414f1f0478473a88821dd176c32d6de394d73a26adb9a SHA512 11956fe03a2e77a925cdff2c3c8bc8804dffab4fa1de963a128fa23f4189976fd2e2102bd346b92c33524beae320b71dadaa5213695a3ec638404196e14fa769
DIST pyo3-build-config-0.20.2.crate 30029 BLAKE2B 846eb95d1417a658763417a2750dca1c55201105a3978d61b1db5e3962680ede188f8285dd7deec778ea9860d43e40513b88f5a54f0b1881b08416760bdbbedf SHA512 9dbc669ec69d38716c3909fa8f3b6c5be13c717b20bfd5dd11edab59b8eb35247d7996acd260fec88f92eb3e71248c86e9b40c1a700827889e2990bba20ecddf
DIST pyo3-ffi-0.20.2.crate 64601 BLAKE2B cf1141ad34a13dcb46de0d1e15dda192ca41a7441bfc92a9295861876dcc690d1d5d6d39dafa51cd70c4627353efa91563eaefee8c39f655d12818003f9524da SHA512 ee6386b6fdb80689d104f9cd5229f02e1893d00a52be710bd36882c47305abbe24ef2f3cdef8200fddc0bb97e29001fa3a2fd9d3d2673ecd9a104a070420d01e
@@ -39,17 +32,13 @@ DIST quote-1.0.35.crate 28136 BLAKE2B 81424245e1e2b94459df68bb3a9a866c6a364102b5
DIST rustversion-1.0.14.crate 17261 BLAKE2B db30d01914059a893bdb4c448ed0bf04852085c2d948bfbed8819a1d2317c34133cf609abdd806ad628b86974a9c1ab9d09f79743cb8e13257ef32cd444f49c6 SHA512 466d753c28c4899ab3da3e9f3366f7ecc435d484f51e0c07acfa5f3367af0de27ea3bc75efda22159b4990c976b1466a27e7c31c834c72a87d8234318357454b
DIST ryu-1.0.16.crate 47351 BLAKE2B 13c72ec8aa608f6c53cf27c95d06b90839c5bec5e54b0441e9c4f779af3dece30d01a2276c717a733f92406a5a02b09c045b2b5f92714fe492d7263b6c6808e6 SHA512 89e3e18346ae6e4035787766f286a6eb62f5294e39ad902cc29e95c53781c4e5dd629f567f22ecc7e9fe9d1c273323da9b867aadc9cd8a066727c58330b51b10
DIST ryu-1.0.17.crate 47537 BLAKE2B 28408e17a4322f1afb6f21bc8d7328c39d07186de4d464f8e9bd63a69757cb4af61b46e558075e14836f310f020ac824d5ffa616fc0a5ffba59b9df0bb66ffc4 SHA512 6dad725c4fb2d3a33ea30107b63cb702eed56bd2f3c16a72265f648f5aaefcd3d5a7b919b1d037af926cc6311bc68ba58c4e0483da2b2e2135c6a7c2d6601af4
-DIST serde-1.0.195.crate 76856 BLAKE2B 6a80b59335f222ae48d5e377c30611f30fe6416e6853ca47a39016e21f649cb9dfbe4964ce19e5da977fb9a963228a6a81c1e85af99ae12d7a0a5722901aa2f5 SHA512 0002ecb933d08fbdc8585ee74efb4048d385459f629261f5a4a8401b794f1c02b8296db79f479013a0b2a47ba99bee6c02d60d0fc2454e32f1b038b4071e8727
DIST serde-1.0.196.crate 77097 BLAKE2B 22403615511a7621a9d8d54fd2dcc63878cd2de0e43bff6b7921db85e19f34ee5022eb1086890edb6987428cbb707a59277ae007d1536b5d80a7da615fc3f36a SHA512 0917aa36d855ca77726d538fb7fcfcf629722c784d747b3869c0d69444c447d7b1fab556a9eb9594ddf6cc508df636fdde051a1c3909f9c691e4921946ebda19
DIST serde-1.0.197.crate 77087 BLAKE2B 4a4e04ededf5fefaabfcc4e17457db823239e8eeee7631a905ed47800ca10d26a93632e3a9d1b784b83f84168d0d649cfa2e6f5f1e68ab15a68e837cd5b6c699 SHA512 69e42825fce6a0a5d109979785daceacfd6afc5641e202fe83da32e2b1f968416557cce97fa014839e873e65f85c27494c8f8e20e6e9e4fbedf20d0291880410
-DIST serde_derive-1.0.195.crate 55687 BLAKE2B 4da7916e36f71dfe82defa6c45b3075395cae54631cdff08a4607e962290020e7214288258fd316439c02536073325f5902e7b00144f97269a207fc453496599 SHA512 8a82ae4e7cfe0c3ac27688cc95d74bf4c2e10c1fe845ab28fb57579b2f47f36d13218c2ae603f93f00114065d47c3e46166dea39b205be673f443c34305dacce
DIST serde_derive-1.0.196.crate 55775 BLAKE2B 3d06b3896f0cdd1b1acdcd0046bdbfd1e8a298d6f07d12a2326ff144baaac07fcbd4af1d18b8b1188d4cc192e253fcd79860d1dbb2ecb148025449c0ac954c72 SHA512 f4df7f835e8416e4662c62a46d5f6e6d45ffd103812d681b220f8080310720e27f738a34a8e622df722fed55a1d8c654dd4abfbd78d1fdc871306bf3985baf22
DIST serde_derive-1.0.197.crate 55771 BLAKE2B 73708908b6d1e104af4c63b498bd25c5a728e07e22afdf92f15754c0f17636efe44c0560c1f0df1b9a30708e8e8894a62f1ea57c234b6dd861cb9c8dc044eb4b SHA512 669376e248b76a5ee8b9c93fd9fe6d35372e7267fbabc14730539ef28a94e405ee5e9c2cc2846897d59d6153742cdc6799f9e2c87f20b9dad119bd3a86c28994
-DIST serde_json-1.0.111.crate 146447 BLAKE2B a3509185e78c438f495ee9d5b5b7c23cd3b565d45178500f2b9ceb8cc8b1cc509b8d25d217f2c98bb597bab205566d660c3f60506c836da903c52206e6fb160e SHA512 11851e34a9a40de32654a12ada1d1bd01abb11531c5804f5d0747bbb01bf59025dd92be916104fbc278bbba5c89c77920941b83c0ac2f0da23f5d61a7788e83f
DIST serde_json-1.0.113.crate 146970 BLAKE2B 8d80b0fc913ba4f008175c6b89955870af6476dc8bae0cd711b748cd0a2bf67b1299396bbd492a1ae5a4ff8050fddc85f0a0ab54f7b24e27529ead3e3d7c920e SHA512 82571b025cd598fca635f18881b52db2364e07eff1b961ca7e3b0591dd41f95503f7188ef1ee6fbc060b9a2360cacbc8a5b85c01fef7879ae3392b29c0004b34
DIST serde_json-1.0.114.crate 146986 BLAKE2B 229f0a8e2c0bc35435b49774fab9d4cec4e2323e85e2f97ccaa2a18277ecfb9cff9e9b165786e782cba043e9ac670717364b0f9c145254eefd74582b728f2186 SHA512 2c35cd0e29ee2af6046ce849b5854b82b90f402b51c04ea86b32ce7d67869736f17a4d028dd8245c31201036bcca7a1d3df11d842a92a45b0eaebd809687d436
DIST simdutf8-0.1.4.crate 28621 BLAKE2B 94ab48bc899e603acf3805dd45ae8489d565aa39ff79606e80a1731b59d11f429d71bb6c65becf3ceab123767f2d20612cb9f86410fd1aad00d0a796091ad045 SHA512 9f821035e147c035707910227b51e01d3f761ab8b578d95a86a776b2a4da01bc4d8ef28df7ea2c16ca125a2699d8903b826ad07a5937728e33dd58753ebd704c
-DIST smallvec-1.12.0.crate 34947 BLAKE2B 545a301fa8580381c61b7dd69fa727921d0ee4868c5fd68a5a89149b7cc1482f8b85eb68bed2485f54d784c8877b2968139683270590ceee7ef9cc6c39ec2cb7 SHA512 6a3c61d1c60339feefbd02f5ce097302cf9c1e10ca14759cbeeefb2ec0167643549bbaa39008857c875166df7d9b11945f65ebd777931279d98275cc36315eaf
DIST smallvec-1.13.1.crate 34952 BLAKE2B e0dcf1d26883564cd4f5d20a588562404e193075b1ae011f7f7542009a9466e5df3ade7768e1a8feb8806774b2cee5f15d31779928f83714e7d4b6ed46af9ab9 SHA512 1259ef947400470b8c9e74c5582dbc1a49753aa46420883c1f7d66f320f67bebe733a15a23cd57ba461020fad4ff337a5b298de82754602a78f5e6cec969652d
DIST static_assertions-1.1.0.crate 18480 BLAKE2B 358dd5ac413d06f62da0388e2016c5fcb8ec68fd7dceb0dbbcb97665c032b7509b7e083c20701648b6a9174485f117c02682ae4bde7ef037e80a85cdf6a0c86e SHA512 46d0e35f77941dee6f60f574c130472248063dc38494c1c4f84f7c048244cc2a58a86fe17c0990e3f0f01406b75ed385a13d00058612b27cf0e867c8d31c92ee
DIST syn-2.0.48.crate 250566 BLAKE2B e46b0863af76c3116c84d01b654a9820b7edc51f75c9c5301a7967d12284f78da602409f34fc40524728350dc6b998a4d738f08b8868f95236b3e5d24c460580 SHA512 926c0ad55cc743df20f9166b6d71fd44421aeb1f073fd86b6ddb53e13cd508b539c0360ce64b07b65597bb14639c8f33acf7e60951e1e9128624517aa3aee325
diff --git a/dev-python/orjson/orjson-3.9.12.ebuild b/dev-python/orjson/orjson-3.9.12.ebuild
deleted file mode 100644
index 423a2f09440e..000000000000
--- a/dev-python/orjson/orjson-3.9.12.ebuild
+++ /dev/null
@@ -1,93 +0,0 @@
-# Copyright 2023-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_EXT=1
-DISTUTILS_USE_PEP517=maturin
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-CRATES="
- ahash@0.8.6
- arrayvec@0.7.4
- associative-cache@2.0.0
- autocfg@1.1.0
- beef@0.5.2
- bytecount@0.6.7
- castaway@0.2.2
- cc@1.0.83
- cfg-if@1.0.0
- chrono@0.4.31
- compact_str@0.7.1
- const-random-macro@0.1.16
- const-random@0.1.17
- crunchy@0.2.2
- encoding_rs@0.8.33
- getrandom@0.2.12
- itoa@1.0.10
- itoap@1.0.1
- libc@0.2.152
- no-panic@0.1.28
- num-traits@0.2.17
- once_cell@1.19.0
- proc-macro2@1.0.76
- pyo3-build-config@0.20.2
- pyo3-ffi@0.20.2
- quote@1.0.35
- rustversion@1.0.14
- ryu@1.0.16
- serde@1.0.195
- serde_derive@1.0.195
- serde_json@1.0.111
- simdutf8@0.1.4
- smallvec@1.12.0
- static_assertions@1.1.0
- syn@2.0.48
- target-lexicon@0.12.13
- tiny-keccak@2.0.2
- unicode-ident@1.0.12
- version_check@0.9.4
- wasi@0.11.0+wasi-snapshot-preview1
- zerocopy-derive@0.7.32
- zerocopy@0.7.32
-"
-
-inherit cargo distutils-r1 pypi
-
-DESCRIPTION="Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy"
-HOMEPAGE="
- https://github.com/ijl/orjson/
- https://pypi.org/project/orjson/
-"
-SRC_URI+="
- ${CARGO_CRATE_URIS}
-"
-
-LICENSE="|| ( Apache-2.0 MIT )"
-# Dependent crate licenses
-LICENSE+="
- Apache-2.0-with-LLVM-exceptions BSD CC0-1.0 MIT Unicode-DFS-2016
- || ( Apache-2.0 Boost-1.0 )
-"
-SLOT="0"
-KEYWORDS="amd64 arm arm64 ~loong ~ppc ppc64 ~riscv ~s390 ~sparc x86"
-
-BDEPEND="
- test? (
- dev-python/arrow[${PYTHON_USEDEP}]
- dev-python/psutil[${PYTHON_USEDEP}]
- dev-python/pytz[${PYTHON_USEDEP}]
- $(python_gen_cond_dep '
- dev-python/numpy[${PYTHON_USEDEP}]
- ' 'python3*')
- )
-"
-
-QA_FLAGS_IGNORED=".*"
-
-distutils_enable_tests pytest
-
-python_test() {
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest -s
-}
diff --git a/dev-python/orjson/orjson-3.9.14.ebuild b/dev-python/orjson/orjson-3.9.14.ebuild
index b41241504155..5f76c3737b15 100644
--- a/dev-python/orjson/orjson-3.9.14.ebuild
+++ b/dev-python/orjson/orjson-3.9.14.ebuild
@@ -74,7 +74,7 @@ LICENSE+="
|| ( Apache-2.0 Boost-1.0 )
"
SLOT="0"
-KEYWORDS="amd64 ~arm arm64 ~loong ~ppc ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="amd64 arm arm64 ~loong ~ppc ppc64 ~riscv ~s390 ~sparc x86"
BDEPEND="
>=virtual/rust-1.72
diff --git a/dev-python/pipdeptree/Manifest b/dev-python/pipdeptree/Manifest
index 889b8dfe87dc..3025c32aeedf 100644
--- a/dev-python/pipdeptree/Manifest
+++ b/dev-python/pipdeptree/Manifest
@@ -1,2 +1,3 @@
DIST pipdeptree-2.15.1.tar.gz 34461 BLAKE2B e437785e609bacc31b5ca32fd03b7d69c3b0f597725d021ef978d49037e0d9e6e6b0c6545f5c7a93b4a26befa019156156d554e2d3470282758ed535097377f9 SHA512 ed8482c811758fc94adf196315f022cc6a07029ece9246bab04a64949faa22fc9b6811dd357d0a51803f305c837d6fa1267cf38d5a5cd728c3bf00e65d46d05d
DIST pipdeptree-2.16.0.tar.gz 34872 BLAKE2B 91401cf9ac05e365332956b874b17b40c62a8a6573b69adeae1d451d2878e887ee180239926962a2b7caae67b45619f715f8ade5c9df5b13683f167ee6592d0e SHA512 c3c1d6377cd3a30980c36fc4935f4aa4b96c402f09017f6e9e3d1c12c56580b1f56b1ea0edcbd6b588dbb96a9f5afa7a727c83faaf110d4a5e7f51df36628a03
+DIST pipdeptree-2.16.1.tar.gz 32145 BLAKE2B 8892433bbd858566c1b7dde26d42617c2f075808b8df047c750f4c482cc326f9dd4248c50bacef385f518644898893a31ee701f070a7a80215e13be0c6329b03 SHA512 d0c7d05d818f1118b1897b5ad0a09459f2c8e0fb98486555783659a68ab2d24edc3299ef747e438c4669dc34fb8833d6a217ddbf900f21bc8954d63661494a60
diff --git a/dev-python/pipdeptree/pipdeptree-2.16.1.ebuild b/dev-python/pipdeptree/pipdeptree-2.16.1.ebuild
new file mode 100644
index 000000000000..651a6603eb68
--- /dev/null
+++ b/dev-python/pipdeptree/pipdeptree-2.16.1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi optfeature
+
+DESCRIPTION="Utility for displaying installed packages in a dependency tree"
+HOMEPAGE="
+ https://github.com/tox-dev/pipdeptree/
+ https://pypi.org/project/pipdeptree/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ dev-python/graphviz[${PYTHON_USEDEP}]
+ dev-python/pip[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ # https://github.com/tox-dev/pipdeptree/pull/302
+ "${FILESDIR}/pipdeptree-2.13.1-expect-hpy-in-pypy-7.3.3.patch"
+ "${FILESDIR}/pipdeptree-2.13.2-fix-pypy-7.3.14.patch"
+)
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p pytest_mock
+}
+
+pkg_postinst() {
+ optfeature \
+ "visualising the dependency graph with --graph-output" \
+ dev-python/graphviz
+}
diff --git a/dev-python/progressbar2/Manifest b/dev-python/progressbar2/Manifest
index 1bde591b7515..51f51cdd0714 100644
--- a/dev-python/progressbar2/Manifest
+++ b/dev-python/progressbar2/Manifest
@@ -1,2 +1,3 @@
DIST progressbar2-4.3.2.tar.gz 92504 BLAKE2B d5e0149fc54f3c4397c3de946db1aeef5c41e104ead1b0db1b19f81071a685c87ab3b425ea5eb3098db046db3a2ebfb29bce9a954f653327b5735fbb4f2c1f7f SHA512 d885a8b568149acf7a2cb5e5698f8677ee777c11a907f187c70c4ff4b52c656c40439ac8af00b652e5ddd4325721863c66b9f1a1b9a95d84f5fe081f94e4e0bf
DIST progressbar2-4.4.1.tar.gz 101229 BLAKE2B 0817682a33910dd4e1f5c84528298fae3acca49003c9cc3af6034bde8e5a3214e3d87f733ba5a7e04b9648cf87272257a24d2c73c64a7d2dd2992fec5254d0ab SHA512 41748c4d51bbf51dc6c91e4612c22e8350753a9c4c0984a4b6cc170ae367224c413833c7e9853880012f746c8d2bb52c62a812f5d4c0054f081b39573228a29c
+DIST progressbar2-4.4.2.tar.gz 101342 BLAKE2B 67625a794bd19a4ed78be25789980038c69a6590277f085befeef805397972ff1160543814523c425218e019647f1c1641451198e2dd08a5f8eacd9e507a04af SHA512 705383badb3943d3d339854d02ee4114f0e76261373deb8f9aff00fe6aae7f37bacccbbc673c2cb36114c7f8ebbafa96a06408ce6e90c3d26a2e2c65ece86958
diff --git a/dev-python/progressbar2/progressbar2-4.4.2.ebuild b/dev-python/progressbar2/progressbar2-4.4.2.ebuild
new file mode 100644
index 000000000000..fdff78a64fea
--- /dev/null
+++ b/dev-python/progressbar2/progressbar2-4.4.2.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Text progressbar library for python"
+HOMEPAGE="
+ https://progressbar-2.readthedocs.io/
+ https://github.com/WoLpH/python-progressbar/
+ https://pypi.org/project/progressbar2/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/python-utils-3.8.1[${PYTHON_USEDEP}]
+ !dev-python/progressbar
+"
+BDEPEND="
+ test? (
+ >=dev-python/dill-0.3.6[${PYTHON_USEDEP}]
+ >=dev-python/freezegun-0.3.11[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ sed -i -e '/cov/d' pytest.ini || die
+ default
+}
+
+python_test() {
+ local -x PYTHONDONTWRITEBYTECODE=1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests
+}
diff --git a/dev-python/pymdown-extensions/Manifest b/dev-python/pymdown-extensions/Manifest
index 7ada8f1a11d0..21de63b59e26 100644
--- a/dev-python/pymdown-extensions/Manifest
+++ b/dev-python/pymdown-extensions/Manifest
@@ -1 +1,2 @@
+DIST pymdown_extensions-10.7.1.tar.gz 811769 BLAKE2B ed2195a1a2262b96d444dd7d60c6330a6670cbe44a0f00f4c5a1dd80f4d2f13f0202adac5505d2fd5b6b5b02300e2d0bc62680fd92f3c00363c4123f02151a0a SHA512 60dce8fafb1935ab3d42320f9b6a3db9b60f4f4d4585b79f123103183f2a2ae9ed1256ae84992ad14b20f6969519a9c1a1b916c301a63715f867e8136be5eb2b
DIST pymdown_extensions-10.7.tar.gz 811535 BLAKE2B d933fa172e34e4d36956d8db385865939519f3cc8c5eecc3e132e4d2730910edf8df40ff52183caad26a5ea7613230fe55f09ca8e74a0911b4bbc039b2160ed3 SHA512 1fd1514dc2d322de42b077f90c9e328b6359f34904339deaaed699278c41ea464c793a3a794337d7bb634e2eca4411d54553005a3e5b0d8e31444feeb9e9a0db
diff --git a/dev-python/pymdown-extensions/pymdown-extensions-10.7.1.ebuild b/dev-python/pymdown-extensions/pymdown-extensions-10.7.1.ebuild
new file mode 100644
index 000000000000..2e0bb6309d3d
--- /dev/null
+++ b/dev-python/pymdown-extensions/pymdown-extensions-10.7.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extensions for Python Markdown"
+HOMEPAGE="
+ https://github.com/facelessuser/pymdown-extensions/
+ https://pypi.org/project/pymdown-extensions/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/markdown-3.5[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ >=dev-python/pygments-2.12.0[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # broken on pypy3; unfortunately, the parametrization is based
+ # on indexes and these are pretty random, so we need to remove it
+ # entirely
+ # TODO: restore it when pypy with a fix is in Gentoo
+ # https://github.com/pypy/pypy/issues/4920
+ rm "tests/extensions/superfences/superfences (normal).txt" || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/pyotherside/files/pyotherside-1.6.0-qt6.5.patch b/dev-python/pyotherside/files/pyotherside-1.6.0-qt6.5.patch
new file mode 100644
index 000000000000..08844cc8338d
--- /dev/null
+++ b/dev-python/pyotherside/files/pyotherside-1.6.0-qt6.5.patch
@@ -0,0 +1,34 @@
+From 45044252aaf73262cd46443acd049e7afcdf072b Mon Sep 17 00:00:00 2001
+From: Thomas Perl <m@thp.io>
+Date: Sat, 2 Dec 2023 18:46:06 +0100
+Subject: [PATCH] Fix build error with Qt >= 6.5 (fixes #128)
+
+--- a/src/qpython_priv.cpp
++++ b/src/qpython_priv.cpp
+@@ -405,8 +405,25 @@ pyotherside_QObjectMethod_call(PyObject *callable_object, PyObject *args, PyObje
+ }
+
+ QVariant result;
++#if QT_VERSION < QT_VERSION_CHECK(6, 5, 0)
++ QGenericReturnArgument returnArg = Q_RETURN_ARG(QVariant, result);
++#else
++ /**
++ * Starting with Qt 6.5, Q_RETURN_ARG() expands to a QMetaMethodReturnArgument,
++ * whereas previously it returned a QGenericReturnArgument. Since we are using
++ * the old, deprecated QMetaMethod::invoke() functions, and those take a
++ * QGenericReturnArgument and not a QMetaMethodReturnArgument, we need to
++ * create the QGenericReturnArgument ourselves by emulating what Q_RETURN_ARG()
++ * does in old Qt versions before 6.5.
++ *
++ * See also:
++ * https://bugreports.qt.io/browse/QTBUG-113147
++ * https://github.com/thp/pyotherside/issues/128
++ **/
++ QGenericReturnArgument returnArg {QT_STRINGIFY(QVariant), &result};
++#endif
+ if (method.invoke(o, Qt::DirectConnection,
+- Q_RETURN_ARG(QVariant, result), genericArguments.value(0),
++ returnArg, genericArguments.value(0),
+ genericArguments.value(1), genericArguments.value(2),
+ genericArguments.value(3), genericArguments.value(4),
+ genericArguments.value(5), genericArguments.value(6),
diff --git a/dev-python/pyotherside/pyotherside-1.6.0-r1.ebuild b/dev-python/pyotherside/pyotherside-1.6.0-r1.ebuild
new file mode 100644
index 000000000000..63af13e38987
--- /dev/null
+++ b/dev-python/pyotherside/pyotherside-1.6.0-r1.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit multibuild qmake-utils python-single-r1
+
+DESCRIPTION="Asynchronous Python 3 Bindings for Qt"
+HOMEPAGE="https://github.com/thp/pyotherside https://thp.io/2011/pyotherside/"
+SRC_URI="https://github.com/thp/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv"
+IUSE="qt5 qt6"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ || ( qt5 qt6 )"
+
+RDEPEND="
+ ${PYTHON_DEPS}
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgui:5
+ dev-qt/qtopengl:5
+ dev-qt/qtsvg:5
+ )
+ qt6? (
+ dev-qt/qtbase:6[opengl]
+ dev-qt/qtdeclarative:6[opengl]
+ dev-qt/qtquick3d:6[opengl]
+ dev-qt/qtsvg:6
+ )"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.6.0-qt6.5.patch
+)
+
+pkg_setup() {
+ MULTIBUILD_VARIANTS=( $(usev qt5) $(usev qt6) )
+ python_setup
+}
+
+src_prepare() {
+ default
+ sed -i -e "s/qtquicktests//" pyotherside.pro || die
+ multibuild_copy_sources
+}
+
+src_configure() {
+ myconfigure() {
+ pushd "${BUILD_DIR}" > /dev/null || die
+
+ if [[ "${MULTIBUILD_VARIANT}" == qt5 ]]; then
+ eqmake5
+ elif [[ "${MULTIBUILD_VARIANT}" == qt6 ]]; then
+ eqmake6
+ else
+ # This should never happen if REQUIRED_USE is enforced
+ die "Neither Qt5 nor Qt6 support enabled, aborting"
+ fi
+ popd > /dev/null || die
+ }
+
+ multibuild_foreach_variant myconfigure
+}
+
+src_compile() {
+ mycompile() {
+ pushd "${BUILD_DIR}" > /dev/null || die
+
+ emake
+
+ popd > /dev/null || die
+ }
+
+ multibuild_foreach_variant mycompile
+}
+
+src_test() {
+ mytest() {
+ pushd "${BUILD_DIR}" > /dev/null || die
+
+ QT_QPA_PLATFORM="offscreen" tests/tests || die
+
+ popd > /dev/null || die
+ }
+
+ multibuild_foreach_variant mytest
+}
+
+src_install() {
+ myinstall() {
+ pushd "${BUILD_DIR}" > /dev/null || die
+
+ emake install INSTALL_ROOT="${D}"
+
+ popd > /dev/null || die
+ }
+
+ multibuild_foreach_variant myinstall
+}
diff --git a/dev-python/pyotherside/pyotherside-1.6.0.ebuild b/dev-python/pyotherside/pyotherside-1.6.0.ebuild
index 9106cb8c71dc..9af20e6a938e 100644
--- a/dev-python/pyotherside/pyotherside-1.6.0.ebuild
+++ b/dev-python/pyotherside/pyotherside-1.6.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,9 +19,7 @@ IUSE="+qt5 qt6"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
^^ ( qt5 qt6 )"
-# qt6 TODO:
-# - check if all qt6 deps are okay yet
-# - multibuild for both qt5 and qt6 if requested
+# TODO: multibuild for both qt5 and qt6 if requested
RDEPEND="
${PYTHON_DEPS}
qt5? (
@@ -33,11 +31,16 @@ RDEPEND="
)
qt6? (
dev-qt/qtbase:6[opengl]
- dev-qt/qtdeclarative:6
+ dev-qt/qtdeclarative:6[opengl]
+ dev-qt/qtquick3d:6[opengl]
dev-qt/qtsvg:6
)"
DEPEND="${RDEPEND}"
+PATCHES=(
+ "${FILESDIR}"/${PN}-1.6.0-qt6.5.patch
+)
+
src_prepare() {
default
sed -i -e "s/qtquicktests//" pyotherside.pro || die
diff --git a/dev-python/pytest-bdd/Manifest b/dev-python/pytest-bdd/Manifest
index aa4ee2eace82..5d6f99507d81 100644
--- a/dev-python/pytest-bdd/Manifest
+++ b/dev-python/pytest-bdd/Manifest
@@ -1 +1,2 @@
DIST pytest-bdd-7.0.1.gh.tar.gz 80315 BLAKE2B 7838a71fc6f0e7a86337d3b4d4fb9e0e7a3a0149c4271ecd75b5c9b40a28ad6bf3d6ccbc90d4a49a5472ae158f7710d98f91be340e67995ba47ea729584d16e5 SHA512 60d9713485a4719c6589e6641b45045e79c063278359c14ccbd016a6b0a8c8eebbf93e61d59e037988247c0116023910aa5e6776896b64dc96dcc23d0dbf6e3b
+DIST pytest-bdd-7.1.1.gh.tar.gz 81072 BLAKE2B 72e807a08176566fc3414dd409bf53d17da13f3a8c6c3e9596a7185174bf8ad876175570601b1db3b5657d7db084cc1c28bed1090ade87fc50c9fe810bfc68e1 SHA512 854e923318ea6d480d11a88231be941b49ac3c16a1f00fb043c962206fb511d1a65ccd92996e820ff4aad4d5c02346aa0c6d5fd482dfe03fa8b065aedec11dd3
diff --git a/dev-python/pytest-bdd/pytest-bdd-7.1.1.ebuild b/dev-python/pytest-bdd/pytest-bdd-7.1.1.ebuild
new file mode 100644
index 000000000000..3b7bbee62b82
--- /dev/null
+++ b/dev-python/pytest-bdd/pytest-bdd-7.1.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 2021-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+inherit distutils-r1
+
+DESCRIPTION="BDD library for the pytest runner"
+HOMEPAGE="https://pytest-bdd.readthedocs.io/"
+SRC_URI="
+ https://github.com/pytest-dev/pytest-bdd/archive/refs/tags/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/mako[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ dev-python/parse[${PYTHON_USEDEP}]
+ dev-python/parse_type[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+DOCS=( AUTHORS.rst CHANGES.rst README.rst )
+
+src_test() {
+ # terminal_reporter test needs exact wrapping
+ local -x COLUMNS=80
+
+ # hooks output parsing may be affected by other pytest-*, e.g. tornasync
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=pytest_bdd.plugin
+
+ distutils-r1_src_test
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 1411317cf392..bac7769993eb 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -24,6 +24,7 @@ DIST sqlglot-22.0.1.tar.gz 17713150 BLAKE2B ad0b4e83744afdc8f32a2127d22c13462eaa
DIST sqlglot-22.1.0.tar.gz 17745401 BLAKE2B 58e805a7f0d2b6c9899c931f279f124a38e1c50ec76f849b0cca00d8cbe29e01275fc5250dc00277ccb52c8b32ced276b9e70e288ed1121ab00bf20860d99d56 SHA512 af284e7d2ddc5b25f5535e9a615d1e2f9c3b0c18b80246250b1324ad626d3550d7b12cb3a02d944f765eb51d16f58c669509967873dda00c9d1da94aac05b13b
DIST sqlglot-22.1.1.tar.gz 17752039 BLAKE2B 96c152a199c989d2b5675745d1faeabd6b4ae0ffda531204eaab078d76929baaf04c23f5808a2e3b10305b1b5645657e4c55a76bf85823f481366aa08feebb3d SHA512 1584cbb92bea54808938ed7c08985bc68ef581f38479201be968364609acc106422de3abb4d75f765d20dace949485400ec149f71bbec7e34dee6e2983a77019
DIST sqlglot-22.2.0.tar.gz 17754337 BLAKE2B b9cc0b6ab3198f26bbbbcd579729685ab1003a85a86ad0c2b15fbdaf3a9d89cd721ef95c3a011adf0ac950e52874adbfcde1e944dba48e8b497078969429233d SHA512 2434661ad7d989c2704af4e6f5c52beb2e16b8c3f4a115207b790c090250a5c1eea41cb24d3aebe3e8129c2e613606c8da8a8bc824a285529c150b2085292720
+DIST sqlglot-22.2.1.tar.gz 17761904 BLAKE2B 67cfb6333f9f4d00ed7ac4cd1c3eedfd7f374e98b63474464e01937eeae1a978fa9dc1f948cb90e26f39a4e27efc1f5c57c9a82697076f46d8c1c67bcb0d7785 SHA512 3894f1c3924c6830822788e22f6b271ac47d555a6a1d264221fba15dcfa67dc27496944568bdb202bdb7a53fc67ee8f9afc25c1ef4cc624cab144e2d49de032a
DIST syn-2.0.41.crate 246016 BLAKE2B 9d389f2e2a0acb4c84c309456e8ffcc88c5d4d541535ed136832d7a6054dde45a598bb68e8a6f3062ca2a96e1ceae947d54b3aec9bad65b0c51d6733aa6c80db SHA512 6bbaf69ca783025dfb81ac3612ac60bfbed31b2d87792909b35c12892dadebdaff2ddf9463105e536b671dce5870610ab90fe29471284bbd3014dca8d6993f1a
DIST target-lexicon-0.12.12.crate 25156 BLAKE2B f3803596c75f6c89438592a1176c3748fc2c0524d7d50a20056de1cd26d40c572b05bafcdf6dd702752864bea37c8b4f28f96dadc12a5b3bb1d279b25e489f85 SHA512 6147295c43ba1b7b087a3c5ab51534b2985e4e77e5e15687978cfb9d07e21c4fd9bc7191576d6cabd268d08a44dc733c4a957e59dba8b948c2055d8bb433aeca
DIST unicode-ident-1.0.12.crate 42168 BLAKE2B 4cede03c08758ccd6bf53a0d0057d7542dfdd0c93d342e89f3b90460be85518a9fd24958d8b1da2b5a09b5ddbee8a4263982194158e171c2bba3e394d88d6dac SHA512 bc1824e1e4452a40732fc69874d7e1a66f7803717a314790dcf48867eba34bc9441331ef031e386912e52c385645c25b6ed39d4f149973b5b97371b1b96b1920
diff --git a/dev-python/sqlglot/sqlglot-22.2.1.ebuild b/dev-python/sqlglot/sqlglot-22.2.1.ebuild
new file mode 100644
index 000000000000..c040bab3734b
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-22.2.1.ebuild
@@ -0,0 +1,121 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+CARGO_OPTIONAL=1
+CRATES="
+ autocfg@1.1.0
+ bitflags@1.3.2
+ cfg-if@1.0.0
+ heck@0.4.1
+ indoc@2.0.4
+ libc@0.2.150
+ lock_api@0.4.11
+ memoffset@0.9.0
+ once_cell@1.19.0
+ parking_lot@0.12.1
+ parking_lot_core@0.9.9
+ proc-macro2@1.0.70
+ pyo3-build-config@0.20.0
+ pyo3-ffi@0.20.0
+ pyo3-macros-backend@0.20.0
+ pyo3-macros@0.20.0
+ pyo3@0.20.0
+ quote@1.0.33
+ redox_syscall@0.4.1
+ scopeguard@1.2.0
+ smallvec@1.11.2
+ syn@2.0.41
+ target-lexicon@0.12.12
+ unicode-ident@1.0.12
+ unindent@0.2.3
+ windows-targets@0.48.5
+ windows_aarch64_gnullvm@0.48.5
+ windows_aarch64_msvc@0.48.5
+ windows_i686_gnu@0.48.5
+ windows_i686_msvc@0.48.5
+ windows_x86_64_gnu@0.48.5
+ windows_x86_64_gnullvm@0.48.5
+ windows_x86_64_msvc@0.48.5
+"
+
+inherit cargo distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+SRC_URI+="
+ native-extensions? (
+ ${CARGO_CRATE_URIS}
+ )
+"
+
+LICENSE="MIT"
+LICENSE+=" native-extensions? ("
+# Dependent crate licenses
+LICENSE+=" Apache-2.0-with-LLVM-exceptions MIT Unicode-DFS-2016"
+LICENSE+=" )"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ native-extensions? (
+ ${RUST_DEPEND}
+ dev-util/maturin[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+QA_FLAGS_IGNORED="usr/lib.*/py.*/site-packages/sqlglotrs/sqlglotrs.*.so"
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+src_prepare() {
+ # remove fragile timing check
+ sed -i -e '/assertLessEqual(time\.time/d' tests/test_parser.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+
+ if use native-extensions; then
+ local DISTUTILS_USE_PEP517=maturin
+ cd sqlglotrs || die
+ distutils-r1_python_compile
+ cd - >/dev/null || die
+ fi
+}
+
+python_test() {
+ local EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+ )
+
+ # make sure not to use an earlier installed version
+ local -x SQLGLOTRS_TOKENIZER=$(usex native-extensions 1 0)
+ rm -rf sqlglotrs || die
+ epytest
+}
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/starlette/Manifest b/dev-python/starlette/Manifest
index b7932fde27dc..40d7eab191d7 100644
--- a/dev-python/starlette/Manifest
+++ b/dev-python/starlette/Manifest
@@ -4,3 +4,4 @@ DIST starlette-0.36.2.gh.tar.gz 2843707 BLAKE2B 7ec75189d7e9864fe15823692d2d2645
DIST starlette-0.36.3.gh.tar.gz 2844320 BLAKE2B 74e2b7449cf18393c63a2123e7537704bcf85528d504c33dc579b7660ef13c11fe74ba4da6e680063d9849f5addddaeaa5c20cc770bf658613b56da2f7d9191d SHA512 998e8958810efbc329382d86f6084d7ed90dca68bb64c51349b2dae6740ba537db10ec68a007e95a81ab06f5df39c64d998b3e87432a8fc75da3ead0963bcc5d
DIST starlette-0.37.0.gh.tar.gz 2845423 BLAKE2B f471d6170cecc0a4421b865306a76147e3c946892abef3a5f8e04a03e8aab830c5702079db9af81ef8eaaba9812286c1364599e556fb4a3c4aae511849d706a3 SHA512 7750d76f2c7d8ee5aba47ba21583d0167c16965538a3735c9098ea44c6f335d893f314550b90ddf2ac9dd592fb777f5cd8035020d7c31cff46e4813b3194730f
DIST starlette-0.37.1.gh.tar.gz 2846156 BLAKE2B 16645f53f3153c04b846776c09b978dda853319f561d136eed42a5da260705238e512f915fd4a86960f0723060270738972ff12f78a3de37c78c7698585a7011 SHA512 ad5393a06966f290976fd60038c56a6ec71c5424bf50298a76ab8f165db4cac81f62cd4b9181e4e573eca4eb1ffeaa64eb44eaa43d41485ef62678af59c8e0dc
+DIST starlette-0.37.2.gh.tar.gz 2846433 BLAKE2B 489fe0d3148f8f006d32d3e52e82cc2c07d9b1a8e3a3cadabe2aa2eb9dd7e00b35e2093dc1de0cb4a6a4606395ed4d19b26778686216a7f8b55a15e61701c9da SHA512 27240c706553e610da05cfc92f818c61e97a891ea7c960fef925a122100a61931cbca973a0995aa1e79d192cda2250139f471929a3f4a7b0f4600d00b6287744
diff --git a/dev-python/starlette/starlette-0.37.2.ebuild b/dev-python/starlette/starlette-0.37.2.ebuild
new file mode 100644
index 000000000000..8a7baac307f5
--- /dev/null
+++ b/dev-python/starlette/starlette-0.37.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="The little ASGI framework that shines"
+HOMEPAGE="
+ https://www.starlette.io/
+ https://github.com/encode/starlette/
+ https://pypi.org/project/starlette/
+"
+# no docs or tests in sdist, as of 0.27.0
+SRC_URI="
+ https://github.com/encode/starlette/archive/${PV/_p/.post}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ <dev-python/anyio-5[${PYTHON_USEDEP}]
+ >=dev-python/anyio-3.4.0[${PYTHON_USEDEP}]
+ >=dev-python/httpx-0.22.0[${PYTHON_USEDEP}]
+ dev-python/itsdangerous[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ >=dev-python/python-multipart-0.0.7[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/trio[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_DESELECT=(
+ # TODO: warning tests that require pytest-8
+ tests/test_routing.py::test_lifespan_with_on_events
+)
+
+EPYTEST_IGNORE=(
+ # Unpackaged 'databases' dependency
+ tests/test_database.py
+)
+
+distutils_enable_tests pytest
diff --git a/dev-python/types-gdb/Manifest b/dev-python/types-gdb/Manifest
index 1a611de8bf17..377d2dcf6f29 100644
--- a/dev-python/types-gdb/Manifest
+++ b/dev-python/types-gdb/Manifest
@@ -1 +1,2 @@
DIST types-gdb-12.1.4.20240113.tar.gz 10765 BLAKE2B 836952c76cdb970b39877552da78adfb8f288a18bdb4c55d27c815e63178597e08a107350a618888cf8f8b0d8a88fa3c26767ea064b2a4dcb2d0afc3d10a4f6a SHA512 2f0802f8e95106dcb03ec734aa0b5200bd8c64f6628072394a120eb1b3a34b727525d944e023cb23baef8caabf61f6ed383a3e1da8c9d47fe76a281a67cb49aa
+DIST types-gdb-12.1.4.20240305.tar.gz 10784 BLAKE2B 0f3f4ad5a66a753262b38a320d71e39505c581b990bf4680ef892aaa6b5334cdfb52b8470903f8873872ec7d1c75d6bcf32b82d23e2d6725e53981906aedf7ea SHA512 052e783fc5e567891572a13333a4c85774c3405e2f4f4af773236fbeee0560c31dd5e5c81513ee3fc1c10cd2b9a6ea27242ffe21455bc66be66162ee71ca4a09
diff --git a/dev-python/types-gdb/types-gdb-12.1.4.20240305.ebuild b/dev-python/types-gdb/types-gdb-12.1.4.20240305.ebuild
new file mode 100644
index 000000000000..9fe9a5637e5d
--- /dev/null
+++ b/dev-python/types-gdb/types-gdb-12.1.4.20240305.ebuild
@@ -0,0 +1,17 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Typing stubs for gdb"
+HOMEPAGE="https://pypi.org/project/types-gdb/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
diff --git a/dev-python/utidylib/Manifest b/dev-python/utidylib/Manifest
index 5af7559ce235..d5981c7e62f5 100644
--- a/dev-python/utidylib/Manifest
+++ b/dev-python/utidylib/Manifest
@@ -1 +1,2 @@
+DIST utidylib-0.10.gh.tar.gz 16810 BLAKE2B ae8dc947c9af0a900c1d371788078a921115d84f14a9b1d00f16d0cc4461584ee9307a6431021c0c4e9e91807964baed898faa1e1313f9c4122b0d70a85a3b17 SHA512 80e59cb909d1c2f3fd7a0df604cf75ebcb335df02d8f2e4df4f619abe7cd3bcba1ffd9432a98aa65f50976ed811fe24bba1306e0cbdc86327d56c17ea8bd083e
DIST utidylib-0.9.gh.tar.gz 15778 BLAKE2B 54c9b9b7c0615ac49a90567357f119643311dd6ee2848dcdfcbe00b93431672ee6954738627c0b3fa984a8f2c7b9e127cc1edac06f9760a252621317d2266476 SHA512 58ca8a43ba2e933f02111939ee8496bb63b17220ce5a6fa3cb731659e89000baa17409c10968308cd86bb2a9dc4819ef2029245eecdb3c7a3fa57404f37004fc
diff --git a/dev-python/utidylib/utidylib-0.10.ebuild b/dev-python/utidylib/utidylib-0.10.ebuild
new file mode 100644
index 000000000000..df7c5f7d0bf0
--- /dev/null
+++ b/dev-python/utidylib/utidylib-0.10.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="TidyLib Python wrapper"
+HOMEPAGE="
+ https://cihar.com/software/utidylib/
+ https://github.com/nijel/utidylib/
+ https://pypi.org/project/uTidylib/
+"
+SRC_URI="
+ https://github.com/nijel/utidylib/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=app-text/htmltidy-5.0.0
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/furo